Load user data secrets from Bitwarden
=====================================

Synopsis
-------------

.. note::

    | Load the secrets from Bitwarden (or a compatible server like Vaultwarden). The data is retrieved using the official command line "bw" or the alternative command "rbw" (faster). Before using Rougail, the command must be logged and unlocked.
    | **Disabled**: if bitwarden is not set in "select for user data" (step.user_data).

Parameters
--------------

.. list-table::

   * - Variable
     - Description

   * - **bitwarden.command**

       `choice <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `multiple` `mandatory` `unique`

       **Command line**: 

       --bitwarden.command

       **Environment variable**: ROUGAILCLI_BITWARDEN.COMMAND
     - Command line used to retrieve secrets.

       Command line must be in PATH.

       **Choices**: 

       

       - rbw **← (default)**

       - bw **← (default)**

   * - **bitwarden.mock_enable**

       `boolean <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       

       - --bitwarden.mock_enable

       - --bitwarden.no-mock_enable

       

       **Environment variable**: ROUGAILCLI_BITWARDEN.MOCK_ENABLE
     - Simulate password generation instead of retrieve them.

       **Default**: false
